curl --request GET \
--url https://api.splose.com/v1/services/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/services/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/services/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"for": "appointment",
"name": "Initial Consultation",
"description": "This is a sample service",
"type": "Other",
"code": "ABC123",
"duration": 90,
"unit": "Hour",
"pricing": 193.99,
"taxType": "STANDARD",
"providerTravelItemCode": "",
"providerTravelPricing": 0,
"providerTravelNonLabourCostsItemCode": "",
"providerTravelNonLabourCostsPricing": 0,
"serviceTags": [
"NDIS"
],
"deletedAt": "2023-07-30T09:00:00.000Z",
"maxPatients": 1,
"allowProviderTravel": false,
"allowProviderTravelNonLabourCosts": false,
"archived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Get a single service
Get service data by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
x > 01
Response
Object with service data.
Service id
x > 01
The service is used for
appointment, support activity "appointment"
Service name
"Initial Consultation"
Service description
"This is a sample service"
Service type
"Other"
Service code
"ABC123"
Service duration in minute
90
Service unit
Hour, Each "Hour"
Service unit price in dollar
193.99
Tax type, check Splose support for more info
STANDARD, ZERO, EXEMPT, REDUCED "STANDARD"
Provider travel item code
""
Provider travel item pricing
0
Provider travel non labour cost item code
""
Provider travel non labour cost item pricing
0
Service tags
["NDIS"]
Object archived date time
"2023-07-30T09:00:00.000Z"
Max patients per appointment. Omitted for support activity services. A value greater than 1 indicates a group appointment service
1
Whether provider travel is enabled
Whether provider travel non labour cost is enabled
Whether the service has been archived
Object creation date time
"2023-07-30T09:00:00.000Z"
Object update date time
"2023-07-30T09:00:00.000Z"